      PROGRAM print
      IMPLICIT NONE
      REAL*8 x
      INTEGER IO1_
      DATA IO1_/11/
      CALL initial(IO1_,x)
      CALL add(x)
      CALL output(IO1_,x)
      END
C
      SUBROUTINE initial(IO1_,x)
      IMPLICIT NONE
      REAL*8 x
      INTEGER IO1_
      OPEN(IO1_, file = 'prn')
      x = 150
      END
C
      SUBROUTINE add(x)
      IMPLICIT NONE
      REAL*8 x
      x = x + 200
      END
C
      SUBROUTINE output(IO1_,x)
      IMPLICIT NONE
      REAL*8 x
      INTEGER IO1_
      WRITE(IO1_,*) x
      END
